Bug 2091813 (CVE-2022-32547) - CVE-2022-32547 ImageMagick: load of misaligned address at MagickCore/property.c
Summary: CVE-2022-32547 ImageMagick: load of misaligned address at MagickCore/property.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2022-32547
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2095116 2095117
Blocks: 2076331 2097182
TreeView+ depends on / blocked
 
Reported: 2022-05-31 05:59 UTC by TEJ RATHI
Modified: 2022-06-16 13:46 UTC (History)
11 users (show)

Fixed In Version: ImageMagick 6.9.12-45, ImageMagick 7.1.0-30
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in ImageMagick, where there is a load of a misaligned address for type 'double,' which requires 8-byte alignment, and for type 'float,' which requires 4-byte alignment at MagickCore/property.c. Whenever ImageMagick processes crafted or untrusted input, this causes a negative impact on application availability or other problems related to undefined behavior.
Clone Of:
Environment:
Last Closed: 2022-06-09 07:19:48 UTC


Attachments (Terms of Use)

Description TEJ RATHI 2022-05-31 05:59:36 UTC
In ImageMagick version < 7.1.0-30, there are runtime errors: 

* load of misaligned address 0x62300000714d for type 'double', which requires 8 byte alignment
* load of misaligned address 0x62300000710b for type 'float', which requires 4 byte alignment

References:
https://github.com/ImageMagick/ImageMagick/issues/5033
https://github.com/ImageMagick/ImageMagick/pull/5034

Comment 1 TEJ RATHI 2022-06-09 04:46:35 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-all [bug 2095117]
Affects: fedora-all [bug 2095116]

Comment 2 Product Security DevOps Team 2022-06-09 07:19:45 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-32547


Note You need to log in before you can comment on or make changes to this bug.